Bug 52094 - mail/pflogstats thinks it needs perl 5.6 but does not
Summary: mail/pflogstats thinks it needs perl 5.6 but does not
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-12 10:00 UTC by Mathieu Arnold
Modified: 2003-06-21 10:02 UTC (History)
1 user (show)

See Also:


Attachments
pflogstats-20030404.diff (13.09 KB, patch)
2003-05-12 10:00 UTC, Mathieu Arnold
no flags Details | Diff
pflogstats-20030404.diff (17.47 KB, patch)
2003-05-12 10:11 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold 2003-05-12 10:00:29 UTC
Add a few patches so that perl 5.6.1 is not needed any more.

Fix: Don't forget to create the files directory so that the patches goes to the right place :)
Comment 1 Mathieu Arnold 2003-05-12 10:11:11 UTC
One day, I'll have it right at once.

-- 
Mathieu Arnold
Comment 2 Pete Fritchman freebsd_committer 2003-05-16 03:26:47 UTC
State Changed
From-To: open->feedback

Have you submitted these patches to the upstream pflogstats maintainer(s)?
Comment 3 Mathieu Arnold 2003-05-16 06:11:38 UTC
Indeed I did.

-- 
Mathieu Arnold
Comment 4 Andrew J. Caines 2003-06-16 22:33:44 UTC
Mathieu,

Looking through the ports bug report I noticed that mail/pflogstats was on
it, then looking at the PR page[1] I see the last messages and infer from
them that my input is needed to get your changes applied to the tree. Am I
correct?

I've aplied your patch..

----8<----
hal9000:pflogstats> cd /usr/ports/mail/pflogstats
hal9000:pflogstats> mkdir files
hal9000:pflogstats> patch < ~/pflogstats-20030404.diff
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: Makefile
|===================================================================
|RCS file: /home/ncvs/ports/mail/pflogstats/Makefile,v
|retrieving revision 1.2
|diff -u -b -w -r1.2 Makefile
|--- Makefile   2003/05/11 16:48:18     1.2
|+++ Makefile   2003/05/12 09:09:02
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 22.
Hunk #2 succeeded at 30.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: pkg-plist
|===================================================================
|RCS file: /home/ncvs/ports/mail/pflogstats/pkg-plist,v
|retrieving revision 1.1
|diff -u -b -w -r1.1 pkg-plist
|--- pkg-plist  2003/05/11 15:01:13     1.1
|+++ pkg-plist  2003/05/12 09:09:02
--------------------------
Patching file pkg-plist using Plan A...
Hunk #1 succeeded at 10.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-common-profiling.pm
|===================================================================
|RCS file: patch-pflogstats-common-profiling.pm
|diff -N patch-pflogstats-common-profiling.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-common-profiling.pm       Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-common-profiling.pm...)
Patching file files/patch-pflogstats-common-profiling.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-common-support.pm
|===================================================================
|RCS file: patch-pflogstats-common-support.pm
|diff -N patch-pflogstats-common-support.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-common-support.pm Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-common-support.pm...)
Patching file files/patch-pflogstats-common-support.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-extensions-addressmapping.pm
|===================================================================
|RCS file: patch-pflogstats-extensions-addressmapping.pm
|diff -N patch-pflogstats-extensions-addressmapping.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-extensions-addressmapping.pm      Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-extensions-addressmapping.pm...)
Patching file files/patch-pflogstats-extensions-addressmapping.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-extensions-networking.pm
|===================================================================
|RCS file: patch-pflogstats-extensions-networking.pm
|diff -N patch-pflogstats-extensions-networking.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-extensions-networking.pm  Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-extensions-networking.pm...)
Patching file files/patch-pflogstats-extensions-networking.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-extensions-verpmung.pm
|===================================================================
|RCS file: patch-pflogstats-extensions-verpmung.pm
|diff -N patch-pflogstats-extensions-verpmung.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-extensions-verpmung.pm    Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-extensions-verpmung.pm...)
Patching file files/patch-pflogstats-extensions-verpmung.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-statistics-accounting.pm
|===================================================================
|RCS file: patch-pflogstats-statistics-accounting.pm
|diff -N patch-pflogstats-statistics-accounting.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-statistics-accounting.pm  Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-statistics-accounting.pm...)
Patching file files/patch-pflogstats-statistics-accounting.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-statistics-accpopimap.pm
|===================================================================
|RCS file: patch-pflogstats-statistics-accpopimap.pm
|diff -N patch-pflogstats-statistics-accpopimap.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-statistics-accpopimap.pm  Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-statistics-accpopimap.pm...)
Patching file files/patch-pflogstats-statistics-accpopimap.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-statistics-antivirus.pm
|===================================================================
|RCS file: patch-pflogstats-statistics-antivirus.pm
|diff -N patch-pflogstats-statistics-antivirus.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-statistics-antivirus.pm   Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-statistics-antivirus.pm...)
Patching file files/patch-pflogstats-statistics-antivirus.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-statistics-reject.pm
|===================================================================
|RCS file: patch-pflogstats-statistics-reject.pm
|diff -N patch-pflogstats-statistics-reject.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-statistics-reject.pm      Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-statistics-reject.pm...)
Patching file files/patch-pflogstats-statistics-reject.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-statistics-uce.pm
|===================================================================
|RCS file: patch-pflogstats-statistics-uce.pm
|diff -N patch-pflogstats-statistics-uce.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-statistics-uce.pm Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-statistics-uce.pm...)
Patching file files/patch-pflogstats-statistics-uce.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats-template.pm
|===================================================================
|RCS file: patch-pflogstats-template.pm
|diff -N patch-pflogstats-template.pm
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats-template.pm       Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats-template.pm...)
Patching file files/patch-pflogstats-template.pm using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-pflogstats.pl
|===================================================================
|RCS file: patch-pflogstats.pl
|diff -N patch-pflogstats.pl
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-pflogstats.pl        Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-pflogstats.pl...)
Patching file files/patch-pflogstats.pl using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: files/patch-sqwmstats.pl
|===================================================================
|RCS file: patch-sqwmstats.pl
|diff -N patch-sqwmstats.pl
|--- /dev/null  Mon May 12 03:21:54 2003
|+++ patch-sqwmstats.pl Mon May 12 04:09:02 2003
--------------------------
(Creating file files/patch-sqwmstats.pl...)
Patching file files/patch-sqwmstats.pl using Plan A...
Hunk #1 succeeded at 1.
done
----8<----

..built and installed..

----8<----
hal9000:pflogstats> make
===>  Extracting for pflogstats-20030404
>> Checksum OK for pflogstats-20030404.tar.gz.
===>  Patching for pflogstats-20030404
===>  Applying FreeBSD patches for pflogstats-20030404
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-common-profiling.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-common-support.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-extensions-addressmapping.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-extensions-networking.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-extensions-verpmung.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-statistics-accounting.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-statistics-accpopimap.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-statistics-antivirus.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-statistics-reject.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-statistics-uce.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats-template.pm.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-pflogstats.pl.orig
===>   Ignoring patchfile /.disk/ports/mail/pflogstats/files/patch-sqwmstats.pl.orig
===>  Configuring for pflogstats-20030404
===>  Installing for pflogstats-20030404
===>   pflogstats-20030404 depends on file: /usr/local/lib/perl5/site_perl/5.6.1/mach/Date/Calc.pm - found
===>   pflogstats-20030404 depends on file: /usr/local/lib/perl5/site_perl/5.6.1/Net/IP.pm - found
===>   pflogstats-20030404 depends on file: /usr/local/lib/perl5/site_perl/5.6.1/mach/Proc/ProcessTable.pm - found
===>   pflogstats-20030404 depends on file: /usr/local/lib/perl5/site_perl/5.6.1/Number/Format.pm - found
install -c -o root -g wheel -m 555 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/pflogstats.pl  /usr/local/bin/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/pflogstats-*.pm /usr/local/lib/perl5/site_perl/5.6.1/Pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/README /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/INSTALL /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/ChangeLog /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/BUGS /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/TODO /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/LICENSE /usr/local/share/doc/pflogstats
install -c -o root -g wheel -m 444 /.disk/ports/mail/pflogstats/work/pflogstats-20030404/CREDITS /usr/local/share/doc/pflogstats
===>   Generating temporary packing list
===>   Registering installation for pflogstats-20030404
----8<----

..and tested with my ports based perl (5.6.1)..

----8<----
hal9000:ajc> pflogstats /var/log/maillog
[snip results]
hal9000:ajc> pflogstats --ignore_case -e --range yesterday --smtpd_stats --problems_first /var/log/maillog
[snip results]
----8<----

..with no apparent problems.

Thanks for all your fixes! As far as I am concerned, this should be
applied ASAP. Please let me know if I need to do anything else to make
this happen.


[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/52094


-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |
Comment 5 Erwin Lansing freebsd_committer 2003-06-17 16:21:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->	erwin

I'll handle this
Comment 6 Mathieu Arnold 2003-06-18 14:05:27 UTC
--Le 16/06/2003 17:33 -0400, Andrew J Caines =E9crivait :

| Mathieu,
|=20
| Looking through the ports bug report I noticed that mail/pflogstats was =
on
| it, then looking at the PR page[1] I see the last messages and infer from
| them that my input is needed to get your changes applied to the tree. Am =
I
| correct?

Yes.

| ..with no apparent problems.
|=20
| Thanks for all your fixes! As far as I am concerned, this should be
| applied ASAP. Please let me know if I need to do anything else to make
| this happen.

It worked at once, the feedback was about wether I submitted it to the
maintainer or not, which was yes, not about wether the patch applied or =
not.

--=20
Mathieu Arnold
Comment 7 Andrew J. Caines 2003-06-18 17:10:16 UTC
Erwin,

> That's whole lot of patch files, which are not really necessary AFAIKS.
> Most of these can be handled by some short commands in the Makefile. How
> about the patch at http://people.freebsd.org/~erwin/pflogstat.diff,
> which keeps both files/patch-*.pl, but removes all the patches for the
> .pm files.

I'm not sure from this if you intend the patch to be applied to the port
including Mathieu's changes or the the original port. Since the former
applies cleanly and latter doesn't, I'll assume the latter.

With this patch, pflogstats appear to run just fine so if there are no
worthwhile fixes missing from it which are in Mathieu's patch, then I'm
happy with it



Mathieu,

> | Looking through the ports bug report I noticed that mail/pflogstats was on
> | it, then looking at the PR page[1] I see the last messages and infer from
> | them that my input is needed to get your changes applied to the tree. Am I
> | correct?
> Yes.

Thanks. I'm a newbie MAINTAINER, so I'm not yet acquainted with all the
processes and procedures.

Thank you also for helping with the port.

Is there anything you think should be added or changed in Erwin's patch?


-Andrew-
-- 
 _______________________________________________________________________
| -Andrew J. Caines-   Unix Systems Engineer   A.J.Caines@halplant.com  |
| "They that can give up essential liberty to obtain a little temporary |
|  safety deserve neither liberty nor safety" - Benjamin Franklin, 1759 |
Comment 8 Erwin Lansing freebsd_committer 2003-06-21 10:02:03 UTC
State Changed
From-To: feedback->closed

Committed, thanks!